<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/core/NEON/NEKernels.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_n_e_kernels_8h.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">NEKernels.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_n_e_absolute_difference_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEAbsoluteDifferenceKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_accumulate_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEAccumulateKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_activation_layer_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEActivationLayerKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_arithmetic_addition_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEArithmeticAdditionKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_arithmetic_subtraction_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEArithmeticSubtractionKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_bitwise_and_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEBitwiseAndKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_bitwise_not_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEBitwiseNotKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_bitwise_or_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEBitwiseOrKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_bitwise_xor_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEBitwiseXorKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_box3x3_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEBox3x3Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_canny_edge_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NECannyEdgeKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_channel_combine_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEChannelCombineKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_channel_extract_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEChannelExtractKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_col2_im_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NECol2ImKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_color_convert_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEColorConvertKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_convolution_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEConvolutionKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_convolution_layer_weights_reshape_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEConvolutionLayerWeightsReshapeKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_cumulative_distribution_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NECumulativeDistributionKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_depth_convert_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEDepthConvertKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_derivative_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEDerivativeKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_dilate_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEDilateKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_erode_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEErodeKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_fast_corners_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEFastCornersKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_fill_array_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEFillArrayKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_fill_border_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEFillBorderKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_fill_inner_border_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEFillInnerBorderKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_g_e_m_m_interleave4x4_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEGEMMInterleave4x4Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_g_e_m_m_lowp_matrix_multiply_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEGEMMLowpMatrixMultiplyKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_g_e_m_m_matrix_accumulate_biases_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEGEMMMatrixAccumulateBiasesKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_g_e_m_m_matrix_addition_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEGEMMMatrixAdditionKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_g_e_m_m_matrix_multiply_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEGEMMMatrixMultiplyKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_g_e_m_m_transpose1x_w_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEGEMMTranspose1xWKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_gaussian3x3_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEGaussian3x3Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_gaussian5x5_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEGaussian5x5Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_gaussian_pyramid_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEGaussianPyramidKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_h_o_g_descriptor_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEHOGDescriptorKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_h_o_g_detector_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEHOGDetectorKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_h_o_g_non_maxima_suppression_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEHOGNonMaximaSuppressionKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_harris_corners_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEHarrisCornersKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_histogram_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEHistogramKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_im2_col_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEIm2ColKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_integral_image_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEIntegralImageKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_l_k_tracker_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NELKTrackerKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_magnitude_phase_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEMagnitudePhaseKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_mean_std_dev_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEMeanStdDevKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_median3x3_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEMedian3x3Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_min_max_location_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEMinMaxLocationKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_non_linear_filter_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NENonLinearFilterKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_non_maxima_suppression3x3_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NENonMaximaSuppression3x3Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_normalization_layer_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NENormalizationLayerKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_pixel_wise_multiplication_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEPixelWiseMultiplicationKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_pooling_layer_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEPoolingLayerKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_remap_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NERemapKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_scale_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEScaleKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_scharr3x3_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEScharr3x3Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_sobel3x3_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NESobel3x3Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_sobel5x5_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NESobel5x5Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_sobel7x7_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NESobel7x7Kernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_softmax_layer_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NESoftmaxLayerKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_table_lookup_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NETableLookupKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_threshold_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEThresholdKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_transpose_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NETransposeKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_warp_kernel_8h_source.xhtml">arm_compute/core/NEON/kernels/NEWarpKernel.h</a>&quot;</code><br />
</div>
<p><a href="_n_e_kernels_8h_source.xhtml">Go to the source code of this file.</a></p>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_1fb090f0c6070330bfaccc4236d3ca0d.xhtml">core</a></li><li class="navelem"><a class="el" href="dir_315f6cf1ec0b2df3ae747ff8286a19f5.xhtml">NEON</a></li><li class="navelem"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
